package oop.Enumeration;

public class Order {
	
	public enum OrderStatus{
		
		PENDING,
		PREPARING,
		COMPLETED,
		DELIVERING,
		CANCELED;
	}
	
	
	
	// Attribute mit enum Objekt
	private OrderStatus status;
	
	public boolean check() {
		
		if (getStatus() == status.COMPLETED)
			return true;
		
		return false;
	}

	public OrderStatus getStatus() {
		return status;
	}

	public void setStatus(OrderStatus status) {
		this.status = status;
	}
	
	

}
